net.minecraft.network.play.client

## Class C02PacketUseEntity

- java.lang.Object
- - net.minecraft.network.Packet
  - - net.minecraft.network.play.client.C02PacketUseEntity

-     public class C02PacketUseEntity
      extends Packet

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `C02PacketUseEntity.Action`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `C02PacketUseEntity()`
    `C02PacketUseEntity(Entity p_i45251_1_, C02PacketUseEntity.Action p_i45251_2_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Entity` | `func_149564_a(World p_149564_1_)`
    `C02PacketUseEntity.Action` | `func_149565_c()`
    `void` | `processPacket(INetHandler p_148833_1_)`
    `void` | `processPacket(INetHandlerPlayServer p_149563_1_)`
    `void` | `readPacketData(PacketBuffer p_148837_1_)`
    `void` | `writePacketData(PacketBuffer p_148840_1_)`

    - ### Methods inherited from class net.minecraft.network.Packet

      `generatePacket, hasPriority, readBlob, serialize, toString, writeBlob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### C02PacketUseEntity

          public C02PacketUseEntity()

    - #### C02PacketUseEntity

          public C02PacketUseEntity(Entity p_i45251_1_,
                            C02PacketUseEntity.Action p_i45251_2_)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(PacketBuffer p_148837_1_)
                              throws java.io.IOException

      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### writePacketData

          public void writePacketData(PacketBuffer p_148840_1_)
                               throws java.io.IOException

      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### processPacket

          public void processPacket(INetHandlerPlayServer p_149563_1_)

    - #### func_149564_a

          public Entity func_149564_a(World p_149564_1_)

    - #### func_149565_c

          public C02PacketUseEntity.Action func_149565_c()

    - #### processPacket

          public void processPacket(INetHandler p_148833_1_)

      Specified by:
        `processPacket` in class `Packet`